javax.swing.plaf

## Class InsetsUIResource

- java.lang.Object
- - java.awt.Insets
  - - javax.swing.plaf.InsetsUIResource

- All Implemented Interfaces:
    Serializable, Cloneable, UIResource

      public class InsetsUIResource
      extends Insets
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class java.awt.Insets

      `bottom, left, right, top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsetsUIResource(int top, int left, int bottom, int right)`

  - ### Method Summary

    - ### Methods inherited from class java.awt.Insets

      `clone, equals, hashCode, set, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InsetsUIResource

          public InsetsUIResource(int top,
                          int left,
                          int bottom,
                          int right)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.